WSD Extra Service Request API

  • Release version: Xanadu
  • Updated August 1, 2024
  • 4 minutes to read
  • The Workplace Service Delivery (WSD) Extra Service Request API provides endpoints to manage extra service requests for reservations.

    To access this API, the caller must have the sn_wsd_core.workplace_user role.

    This API runs in the sn_wsd_rsv namespace.

    For additional information on Workplace Reservation Management, see Workplace Reservation Management.

    WSD Extra Service - GET /sn_wsd_rsv/extra_service/list_loc_layouts

    Returns the details about the associated location layouts for a specified workplace location.

    URL format

    Versioned URL: /api/sn_wsd_rsv/{api_version}/extra_service/list_loc_layouts

    Default URL: /api/sn_wsd_rsv/extra_service/list_loc_layouts

    Supported request parameters

    Table 1. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    Table 2. Query parameters
    Name Description
    location Required. Sys_id of the workplace location for which to return the location layout details.

    Located in the Workplace Location [sn_wsd_core_workplace_location] table.

    Data type: String

    Table 3. Request body parameters
    Name Description
    None Required.

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    Table 4. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    Table 5. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    Table 6. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    400 Bad Request. A bad request type or malformed request was detected.
    401 Unauthorized. The user credentials are incorrect or have not been passed.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    result List of the layouts associated with the specified workplace location.

    Data type: Array of Objects

    "result": [
      {
        "capacity": Number,
        "cleanup_duration": "String",
        "image": {Object},
        "is_default": Boolean,
        "max_capacity": Number,
        "name": "String",
        "preparation_duration": "String",
        "short_description": "String",
        "sys_id": "String"
      }
    ]
    result.capacity Number of people that will attend the meeting.

    Data type: Number

    result.cleanup_duration Amount of time it takes to clean the reservable for this layout.

    Data type: Number

    Unit: Milliseconds

    result.image Details about an image that represents the layout for the associated reservable.

    Located in the Images [db_image] table.

    "image": {
      "link": "String",
      "sys_id": "String"
    }
    result.image.link Link to an image that represents the layout for this reservable. Located in the Images [db_image] table.

    Data type: String

    result.image.sys_id Sys_id of the associated image record.

    Data type: String

    result.is_default Flag that indicates whether the associated layout is the default for the reservable.
    Valid values:
    • true: Default.
    • false: Not default.

    Data type: Boolean

    result.name Name of the location layout.

    Data type: String

    result.max_capacity Maximum number of people that the layout associated with the reservable can accommodate.

    Data type: Number

    result.preparation_duration Amount of time it takes to prepare the associated location layout.

    Data type: Number

    Unit: Milliseconds

    result.short_description Brief description of the location layout.

    Data type: String

    result.sys_id Sys_id of the location layout.

    Located in the Layout [sn_wsd_rsv_layout] table.

    Data type: String

    cURL request

    The following code example shows how to call this endpoint.

    "http://instance.servicenow.com/api/sn_wsd_rsv/extra_service/list_loc_layouts&location=d2716d4adb7210106c731dcd13961994" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    Return results:

    {
      "result": [
        {
          "sys_id": "f4fee556534301103cf7ddeeff7b12ed",
          "name": "Test",
          "short_description": "test",
          "is_default": false,
          "image": {
            "sys_id": "9648a7c5531301103cf7ddeeff7b1286",
            "link": "9648a7c5531301103cf7ddeeff7b1286.iix"
          },
          "capacity": null,
          "max_capacity": null,
          "preparation_duration": 172800000,
          "cleanup_duration": 86400000
        }
      ]
    }

    WSD Extra Service - GET /api/sn_wsd_rsv/extra_service/list_loc_standard_services

    Returns the details about the associated standard services for a specified workplace location.

    URL format

    Versioned URL: /api/sn_wsd_rsv/{api_version}/extra_service/list_loc_standard_services

    Default URL: /api/sn_wsd_rsv/extra_service/list_loc_standard_services

    Supported request parameters

    Table 7. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    Table 8. Query parameters
    Name Description
    location Required. Sys_id of the workplace location for which to return the location layout standard services.

    Located in the Workplace Location [sn_wsd_core_workplace_location] table.

    Data type: String

    Table 9. Request body parameters
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    Table 10. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    Table 11. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    Table 12. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    400 Bad Request. A bad request type or malformed request was detected.
    401 Unauthorized. The user credentials are incorrect or have not been passed.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    result.standard_services
    Associated standard services, such as flip chart, projector screen, and whiteboard and markers.

    Data type: Array of Objects

    "standard_services": [
      {
        "font_awesome_icon": "String",
        "name": "String",
        "short_description": "String",
        "sys_id": "String"
      }
    ]
    result.standard_services.font_awesome_icon Name of the thumbnail icon associated with the standard service.

    Data type: String

    result.standard_services.name Name of the standard service.

    Data type: String

    result.standard_services.short_description Brief description of the standard service.

    Data type: String

    result.standard_services.sys_id Sys_id of the standard service record. Located in the Standard Service [sn_wsd_rsv_standard_service] table.

    Data type: String

    cURL request

    The following code example shows how to call this endpoint to obtain the standard services.

    "http://instance.servicenow.com/api/sn_wsd_rsv/extra_service/list_loc_standard_services&location=d2716d4adb7210106c731dcd13961994" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    Return results:

    {
      "result": [
        {
          "sys_id": "9b01458edb7650106c731dcd13961945",
          "name": "Flip chart",
          "short_description": "Flip chart with paper sheets",
          "font_awesome_icon": "fa-calendar-o"
        },
        {
          "sys_id": "abd0c18edb7650106c731dcd13961965",
          "name": "Projector screen",
          "short_description": "Connect laptop to screen (HDMI and DVI)",
          "font_awesome_icon": "fa-caret-square-o-right"
        },
        {
          "sys_id": "9841858edb7650106c731dcd1396193c",
          "name": "Whiteboard",
          "short_description": "Whiteboard and markers",
          "font_awesome_icon": "fa-pencil-square-o"
        }
      ]
    }